SCHED_GETCPU(3)

NAME
sched_getcpu - determine CPU on which the calling thread is running

SYNOPSIS
#define _GNU_SOURCE
#include <sched.h>
int sched_getcpu(void);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

sched_getcpu(): _BSD_SOURCE || _SVID_SOURCE

DESCRIPTION
sched_getcpu() returns the number of the CPU on which the calling thread is currently executing.

RETURN VALUE
On success, sched_getcpu() returns a nonnegative CPU number. On error, -1 is returned and errno is set to indicate the error.

ERRORS

ENOSYS
    This kernel does not implement getcpu(2).

VERSIONS
This function is available since glibc 2.6.

CONFORMING TO
sched_getcpu() is glibc specific.

NOTES
The call
cpu = sched_getcpu();
is equivalent to the following getcpu(2) call:
int c, s;
s = getcpu(&c, NULL, NULL);
cpu = (s == -1) ? s : c;

SEE ALSO
getcpu(2)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.